### Function

# GLib Error new_literal

#### Declaration [src]

    GError*
    g_error_new_literal (
      GQuark domain,
      gint code,
      const gchar* message
    )

#### Description [src]

Creates a new `GError`; unlike g_error_new(), `message` is not a printf()-style format string. Use this function if `message` contains text you don’t have control over, that could include `printf()` escape sequences.

#### Parameters

`domain`

  Type: `GQuark`

  Error domain.

`code`

  Type: `gint`

  Error code.

`message`

  Type: `const gchar*`

  Error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GError`

A new `GError`.

The caller of the function takes ownership of the data, and is responsible for freeing it.